Page MenuHome

Freeze when switching to the Lookdev or Rendered (Eevee) view
Closed, ResolvedPublic

Description

System Information

  • Windows 10 Pro x64 (1803)
  • AMD Radeon RX580 4GB with Radeon Software 18.8.1

Blender Version
Broken: d7b5e2fa72c 2018-08-10 15:54

Short description of error
Blender freezes when switching to the Lookdev or Rendered view when Eevee is the active rendering engine.
This does not happen with the OpenGL or Cycles rendering engines.

As Blender does not crash and must be forcibly closed from the OS, no crash report is available.
It appears that this issue cannot be reproduced on Linux.

Exact steps for others to reproduce the error

  1. Open blender with factory settings
  2. Switch to the Lookdev or Rendered (Eevee) view
  3. Blender Freezes (no crash)

Additional notes
GPU occupation is anomalously elevated while Blender is frozen.

The freeze can be reproduced with both release and debug builds executed with the command line flags --factory-startup -t 1 --debug-gpu -d.

Command line output attached.

Details

Type
Bug

Event Timeline

I found that I cannot switch to the Lookdev/Rendered (Eevee) view with factory settings and the default cube without Blender 2.8 freezing (as of build 4b6fa4d897a 2018-08-12 05:22), but this older test scene I had saved several days ago works for some inexplicable reason.

s12a (s12a) added a comment.EditedAug 12 2018, 3:04 PM

After trying almost everything, in the end I found that if I resize the program window Blender doesn't freeze after switching to Lookdev/Eevee. It remains to be seen why the above scene works also with the maximized window, on the other hand.

EDIT: apparently, after Eevee has been used at least once with a reduced size window, Blender won't freeze afterwards after maximizing window size back and switching to/from the rendered view multiple times. (it still does if the viewport has a too large area)

I found that the issue does not occur with AMD Display drivers 18.7.1, but it does occur with 18.8.1. Curiously the OpenGL version reported in the driver was higher in 18.7.1 and from 18.6.1 to 18.7.1 there was change in version number.

Driver versionOpenGL VersionNotes
18.2.16.14.10.13506
18.6.16.14.10.13521
18.7.124.20.11000.14523Not a typo
18.8.124.20.11000.13537EEVEE causes blender to Freeze

It might be worth reporting this to the AMD driver team through more direct channels.

Brecht Van Lommel (brecht) lowered the priority of this task from Normal to Needs Information from User.

Is this still an issue in 2.8? There's been a huge amount of changes since August so seems likely this was fixed.

Closing under the assumption that this was fixed, can reopen if it's not the case.